raaz-0.2.1: The raaz cryptographic library.

Safe Haskell | None
Language | Haskell2010

Raaz.Cipher.ChaCha20.Implementation.CPortable

Description

Portable C implementation of ChaCha20.

Synopsis

- implementation :: SomeCipherI ChaCha20
- chacha20Random :: Pointer -> BLOCKS ChaCha20 -> MT ChaCha20Mem ()

# Documentation

implementation :: SomeCipherI ChaCha20 Source #

The portable c implementation of chacha20 cipher.

chacha20Random :: Pointer -> BLOCKS ChaCha20 -> MT ChaCha20Mem () Source #

The chacha20 randomness generator.